# Interface ClassHierarchyResolver.ClassHierarchyInfo

Enclosing interface:
  `ClassHierarchyResolver`

public static sealed interface ClassHierarchyResolver.ClassHierarchyInfo
Information about a resolved class.

Since:
  24

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static ClassHierarchyResolver.ClassHierarchyInfo`
`ofClass(ClassDesc superClass)`
Indicates that a class is a declared class, with the specific given super class.
`static ClassHierarchyResolver.ClassHierarchyInfo`
`ofInterface()`
Indicates that a class is an interface.

## Method Details

### ofClass

static ClassHierarchyResolver.ClassHierarchyInfo ofClass(ClassDesc superClass)
Indicates that a class is a declared class, with the specific given super class.

Parameters:
  `superClass` - descriptor of the super class, may be `null`
Returns:
  the info indicating the super class
See Also:
  - `Superclass`

### ofInterface

static ClassHierarchyResolver.ClassHierarchyInfo ofInterface()
Indicates that a class is an interface.

Returns:
  the info indicating an interface